<?php

namespace TDevAgency\Cms\Providers;


use Illuminate\Auth\EloquentUserProvider;
use Illuminate\Contracts\Auth\Authenticatable;
use Illuminate\Support\Facades\Cache;
use Illuminate\Contracts\Hashing\Hasher as HasherContract;
use TDevAgency\Cms\Models\BaseModels\AdminUser;

class CacheAdminUserProvider extends EloquentUserProvider
{
    /**
     * CacheUserProvider constructor.
     * @param HasherContract $hasher
     */

    public function __construct(HasherContract $hasher)
    {
        parent::__construct($hasher, AdminUser::class);
    }

    /**
     * @param mixed $identifier
     * @return Authenticatable|null
     */
    public function retrieveById($identifier)
    {
        return Cache::remember('admin_user.' . $identifier, 360, function () use ($identifier) {
            /**
             * @var AdminUser $adminUser
             */
            $adminUser = parent::retrieveById($identifier);
            $adminUser->load('roles');

            $adminUser->setRelation('roles', $adminUser->roles->pluck('admin_role'));
            return $adminUser;
        });
    }
}
