@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group{!! $errors->has($key) ? ' has-error' : null !!}">
        @if(isset($placeholder))
            <label class="control-label col-xs-12">{!! $placeholder !!}</label>
        @endif
        <div class="col-xs-12" :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}">
            @forelse($options as $optionValue => $optionText)
                <div class="custom-control custom-checkbox">
                        <input type="checkbox"
                               id="{{ inputKeyToName($optionValue) }}"
                               class="custom-control-input"
                               :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}"
                               name="{{ inputKeyToName($key) }}"
                               data-vv-as="{{$optionText}}"
                               value="{!! $optionValue !!}"
                               @isset($validate)
                               v-validate="'{{ $validate }}'"
                               @endisset
                               @if(isset($value) && array_key_exists($value ,$options))
                               checked
                            @endif
                        @if(isset($attributes) && is_array($attributes) && !empty($attributes))
                            @foreach($attributes as $attr_key => $attr_val )
                                @if(is_int($attr_key))
                                    {{$attr_val}}
                                    @else
                                    {!! sprintf('%s="%s"', $attr_key, $attr_val) !!}
                                    @endif
                                @endforeach
                            @endif
                        />
                    <label class="custom-control-label" for="{{ inputKeyToName($optionValue) }}">
                    {!! $optionText !!}
                    </label>
                </div>
            @empty
            @endforelse
        </div>
        <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">
            @{{errors.first('{!! inputKeyToName($key) !!}')}}
        </div>
    </div>
@endif
